<template>
  <div class="articles-list">
      <BlogArticleItem v-for="article in articles" :key="article.slug" :article="article" />    
  </div>
</template>

<script>
import BlogArticleItem from './BlogArticleItem';

export default {
  name: 'BlogArticlesList',
  props: ['articles'],
  components: {
      BlogArticleItem
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.articles-list {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(370px, 1fr));
    grid-gap: 30px;
    grid-row-gap: 80px;
    margin-bottom: 100px;
}
</style>